Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1364211

Summary: Review Request: nodejs-tad - JavaScript test suite
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Jeroen van Meeuwen <vanmeeuwen+fedora>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review
Target Milestone: ---Flags: vanmeeuwen+fedora: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-09 14:43:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1356395    
Bug Blocks: 956806, 1387531, 1364212    

Description Jared Smith 2016-08-04 17:57:10 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-tad/nodejs-tad.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-tad/nodejs-tad-0.2.4-2.fc26.src.rpm
Description: JavaScript test suite
Fedora Account System Username: jsmith

Comment 1 Jeroen van Meeuwen 2016-08-05 10:12:56 UTC
nodejs-tad.noarch: E: script-without-shebang /usr/lib/node_modules/tad/lib/configure.js
nodejs-tad.noarch: E: script-without-shebang /usr/lib/node_modules/tad/lib/load.js
nodejs-tad.noarch: E: script-without-shebang /usr/lib/node_modules/tad/lib/find-test-path.js
nodejs-tad.noarch: E: script-without-shebang /usr/lib/node_modules/tad/lib/utils/index-test.js
nodejs-tad.noarch: E: script-without-shebang /usr/lib/node_modules/tad/index.js

Comment 3 Jeroen van Meeuwen 2016-08-06 08:36:50 UTC
Please re-upload a spec and SRPM that match in NEVRA (spec is -3, srpm is still -2, and what you fixed in the spec "isn't fixed" in the SRPM).

Comment 5 Gwyn Ciesla 2016-08-08 14:43:47 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-tad

Comment 6 Jared Smith 2016-08-09 14:43:14 UTC
In rawhide, closing bug